Package org.springframework.web.servlet.tags

# Class ArgumentTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
org.springframework.web.servlet.tags.ArgumentTag

All Implemented Interfaces:
  `BodyTag`, `IterationTag`, `JspTag`, `Tag`, `Serializable`

public class ArgumentTag extends BodyTagSupport
The `<argument>` tag is based on the JSTL `fmt:param` tag. The purpose is to support arguments inside the message and theme tags.

This tag must be nested under an argument aware tag.

Attribute Summary
Attribute | Required? | Runtime Expression? | Description
--- | --- | --- | ---
value | false | true | The value of the argument.

Since:
  4.0
Author:
  Nicholas Williams
See Also:
  - `MessageTag`
  - `ThemeTag`
  - Serialized Form

## Field Summary

### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ArgumentTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
`void`
`release()`
`void`
`setValue(Object value)`
Set the value of the argument (optional).

### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Constructor Details

### ArgumentTag

public ArgumentTag()

## Method Details

### setValue

public void setValue(Object value)
Set the value of the argument (optional). If not set, the tag's body content will get evaluated.

Parameters:
  `value` - the parameter value

### doEndTag

public int doEndTag() throws JspException

Specified by:
  `doEndTag` in interface `Tag`
Overrides:
  `doEndTag` in class `BodyTagSupport`
Throws:
  `JspException`

### release

public void release()

Specified by:
  `release` in interface `Tag`
Overrides:
  `release` in class `BodyTagSupport`